Page MenuHomePhabricator

Move dev-images PHP image from php -S to Apache + php-fpm
Closed, ResolvedPublic

Description

As production is headed for a php-fpm future, once HHVM goes away, local development environments should echo this configuration.

Event Timeline

brennen created this task.May 3 2019, 11:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
greg triaged this task as Normal priority.May 9 2019, 3:51 PM
brennen renamed this task from Move dev-images PHP + Apache image from mod_php to php-fpm to Move dev-images PHP image from php -S to Apache + php-fpm.Jul 15 2019, 9:30 PM
brennen moved this task from Next Month-ish to 201907 on the Release-Engineering-Team-TODO board.
brennen moved this task from Ready to Doing on the Release-Engineering-Team-TODO (201907) board.

Change 525842 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/dev-images@master] mediawiki: replace with blubber-compatible Apache + FPM image

https://gerrit.wikimedia.org/r/525842

Change 535342 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[operations/deployment-charts@master] mediawiki-dev: port 8080; apache entrypoint

https://gerrit.wikimedia.org/r/535342

Change 525842 merged by Jforrester:
[releng/dev-images@master] mediawiki: replace with blubber-compatible Apache + FPM image

https://gerrit.wikimedia.org/r/525842

brennen closed this task as Resolved.Tue, Oct 1, 6:26 PM

Change 542011 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/deployment-charts@master] Update mediawiki-dev chart README

https://gerrit.wikimedia.org/r/542011

Change 542011 merged by Brennen Bearnes:
[operations/deployment-charts@master] Update mediawiki-dev chart README

https://gerrit.wikimedia.org/r/542011